Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch.node.bounder
Class TrendBasedScoreBounder

    java.lang.Object
      org.optaplanner.core.impl.exhaustivesearch.node.bounder.TrendBasedScoreBounder

All Implemented Interfaces:
  ScoreBounder

    public class TrendBasedScoreBounder

extends Object
implements ScoreBounder

Field Summary
`protected InitializingScoreTrend` | `initializingScoreTrend`
`protected ScoreDefinition` | `scoreDefinition`

Constructor Summary
`TrendBasedScoreBounder(InnerScoreDirectorFactory scoreDirectorFactory)`

Method Summary
`Score` | `calculateOptimisticBound(ScoreDirector scoreDirector, Score score)` In OR terms, this is called the lower bound if they minimize, and upper bound if they maximize.
`Score` | `calculatePessimisticBound(ScoreDirector scoreDirector, Score score)` In OR terms, this is called the upper bound if they minimize, and lower bound if they maximize.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scoreDefinition

    protected final ScoreDefinition scoreDefinition

### initializingScoreTrend

    protected final InitializingScoreTrend initializingScoreTrend

Constructor Detail

### TrendBasedScoreBounder

    public TrendBasedScoreBounder(InnerScoreDirectorFactory scoreDirectorFactory)

Method Detail

### calculateOptimisticBound

    public Score calculateOptimisticBound(ScoreDirector scoreDirector,
                                          Score score)

  Description copied from interface: `ScoreBounder`
  In OR terms, this is called the lower bound if they minimize, and upper bound if they maximize. Because we always maximize the `Score`, calling it lower bound would be a contradiction.

  Specified by:
    `calculateOptimisticBound` in interface `ScoreBounder`
  Parameters:
    `scoreDirector` - never null, use `ScoreDirector.getWorkingSolution()` to get the working `Solution`
    `score` - never null, the `Score` of the working `Solution`
  Returns:
    never null, never worse than the best possible `Score` we can get by initializing the uninitialized variables of the working `Solution`.

### calculatePessimisticBound

    public Score calculatePessimisticBound(ScoreDirector scoreDirector,
                                           Score score)

  Description copied from interface: `ScoreBounder`
  In OR terms, this is called the upper bound if they minimize, and lower bound if they maximize. Because we always maximize the `Score`, calling it upper bound would be a contradiction.

  Specified by:
    `calculatePessimisticBound` in interface `ScoreBounder`
  Parameters:
    `scoreDirector` - never null, use `ScoreDirector.getWorkingSolution()` to get the working `Solution`
    `score` - never null, the `Score` of the working `Solution`
  Returns:
    never null, never better than the worst possible `Score` we can get by initializing the uninitialized variables of the working `Solution`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.